# Function useDeepQuery

- useDeepQuery<Table, LL>(query, options?): {
  data?: LL[];
  error?: any;
  loading: boolean;
  refetch?: (() => Promise<any>);
  }

- #### Type Parameters

  - Table extends
    | "links"
    | "numbers"
    | "strings"
    | "objects"
    | "can"
    | "selectors"
    | "tree"
    | "handlers"
  - LL = Link<Id>

  #### Parameters

  - query: Exp<Table>
  - `Optional` options: Options<Table>

  #### Returns {
  data?: LL[];
  error?: any;
  loading: boolean;
  refetch?: (() => Promise<any>);
  }

  - ##### `Optional` data?: LL[]

  - ##### `Optional` error?: any

  - ##### loading: boolean

  - ##### `Optional` refetch?: (() => Promise<any>)

    - - (): Promise<any>

      - #### Returns Promise<any>

  - Defined in work/deeplinks/deeplinks/imports/client.tsx:2585